Subject: Re: bug#58363: [PATCH 1/3] Use xsignal1 as required by argument type

From: Jonas Bernoulli <[email-masked]>
Date: Sat, 22 Oct 2022 17:32:07 +0200

Eli Zaretskii <[email-masked]> writes:

>> From: Jonas Bernoulli <[email-masked]>
>> Cc: [email-masked]
>> Date: Sat, 22 Oct 2022 12:45:02 +0200
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> >> -    xsignal (Qerror, build_string ("Module name not on allowlist"));
>> >> +    xsignal1 (Qerror, build_string ("Module name not on allowlist"));
>> >
>> > Why Qerror here and not Qsqlite_error?  And if the more general Qerror
>> > is deliberate, then why not Qmodule_load_failed, for instance?
>> 
>> This commit just fixes a bug.
>> Qsqlite_error is introduced in the next commit.
>
> This is one reason why I prefer a single patch to series of patches.
> (I believe Lars prefers that as well.)  It avoids the need to review
> patches that are superseded by the following ones, especially when
> network delays cause the different parts of the series to be delivered
> out of sequence.
>
> So, unless this totally disrupts your workflows, please post patches
> as a single coherent changeset, bypassing intermediate steps that are
> later superseded.  TIA.

I will do as you wish but I completely disagree that this is the
right thing to do.  But let's agree to disagree, and since you are
the maintainer, you get to say how it ought to be done around here.

(Is there anything you would like me to do, aside from squashing
these two (or all three?) commits?)